Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 10955

Description

In Quickprint plugin on OS X, 0.9.2 from trunk, scaling problems are apparent with the legend, title and map. Possibly dpi is not actually

at default 300. Text in legend and legend symbols are quite tiny. Title text is quite large.

History

#1 - 2008-08-24 01:08 AM - mesajs -

Quickprint on Windows Vista 64 bit: Labels on map features are way to large. e.g. set font to Arial 10 points, but lettering on printed map is over 5mm high,

obliterating map. Not so much a problem if font size is set to map units.

Applies to versions 0.11.0-1 and 0.11.0-2

#2 - 2008-11-01 09:08 AM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to fixed

I think this is fixed with the latest changes in Quickprint. Feel free to reopen the bug if not.

#3 - 2008-11-01 09:56 AM - John Tull

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

The fonts appear good. I ran a test print to a large format (B1) and it worked well. The qgis logo, scalebar, and north arrow are disproportionately large

compared to the rest. I've attached the example to the ticket. Is this still a scaling issue?

#4 - 2009-07-04 11:08 AM - Giovanni Manghi

Made the same test on QGis 1.2 on both Linux and Windows, and the problem is replicable.

On Windows text is even smaller than on linux.

Here is a link were you can downloads two pdf obtained with the same data, in B1 format, with the same font (type and size), on Linux and Windows.

See attached files.
Pushing the milestone to 1.2.

#5 - 2009-07-04 11:12 AM - Giovanni Manghi

Attachments too big, download it here:

http://www.faunalia.pt/downloads/quick_print_test.tar.gz

#6 - 2010-06-11 11:08 AM - Paolo Cavallini

Still true?

#7 - 2010-06-11 12:09 PM - John Tull

Text appears to be better for me. The qgis icon is quite large, as in the original sample file I attached.

#8 - 2010-10-23 01:37 AM - Paolo Cavallini

Please note taht [[QuickPrint]] plugin will probably be removed from future versions of QGIS, as better options are available.

#9 - 2011-03-02 07:12 AM - Paolo Cavallini

Would 1.7 release the right time to remove [[QuickPrint]] and close this bug?

#10 - 2011-03-02 01:12 PM - John Tull

I'm happy to see this changed to wontfix if so.

#11 - 2011-03-02 01:18 PM - Tim Sutton

- Status changed from Feedback to Closed

- Resolution set to wontfix

I've removed this plugin with commit:f6c16778 (SVN r15314). Users wanting similar functionality should use the [[QuickPrint]] plugin rather.

Thanks

Tim

#12 - 2011-03-02 09:29 PM - Tim Sutton

Replying to [comment:12 timlinux]:

I've removed this plugin with commit:f6c16778 (SVN r15314). Users wanting similar functionality should use the [[QuickPrint]] plugin rather.
http://www.faunalia.pt/downloads/quick_print_test.tar.gz


Thanks

Tim

Correction I meant to say "Users wanting similar functionality should use the EasyPrint plugin rather."

Files

test.pdf 150 KB 2008-11-01 John Tull

2025-12-21 3/3


